static const char *RcsId = "$Header: /cvsroot/tango-cs/tango/cppserver/dbase/DataBaseStateMachine.cpp,v 2.12 2010/09/21 11:43:21 taurel Exp $";
//+=============================================================================
//
// file :         DataBaseStateMachine.cpp
//
// description :  C++ source for the DataBase and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: taurel $
//
// Copyright (C) :      2004,2005,2006,2007,2008,2009,2010
//						European Synchrotron Radiation Facility
//                      BP 220, Grenoble 38043
//                      FRANCE
//
// This file is part of Tango.
//
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
//
// $Revision: 2.12 $
//
// $Log: DataBaseStateMachine.cpp,v $
// Revision 2.12  2010/09/21 11:43:21  taurel
// - Add GPL stuff
//
// Revision 2.11  2009/04/06 13:11:09  pascal_verdier
// DbMySqlSelect command added.
//
// Revision 2.10  2009/01/30 08:17:51  taurel
// - Added DbGetDeviceWideList command
//
// Revision 2.9  2008/03/26 17:31:01  taurel
// - Committed after merge with the Release 4 branch
//
// Revision 2.8.2.2  2008/02/28 17:07:37  taurel
// - Added the StoredProcedureRelease attribute
//
// Revision 2.8.2.1  2008/01/25 12:29:50  taurel
// - Add a new command DbDeleteAllDeviceAttributeProperty
// - The DbImportDevice now also returns the device class
// - Fix bug in the DbGetHostServerList command
//
// Revision 2.8  2007/11/06 07:24:07  taurel
// - Added the DbGetDataForServerCache command (with timing stats)
// - Add timing stats for the DbPutClassProperty command
//
// Revision 2.7  2006/09/28 11:18:20  pascal_verdier
// DbGetClassForDevice and DbGetClassInheritanceForDevice commands added.
//
// Revision 2.6  2006/06/22 15:25:32  jlpons
// Added history commands
//
// Revision 2.5  2005/10/05 07:35:54  pascal_verdier
// Bug fixed in Timing_Info attribute read.
// ResetTimingValues command added.
// Windows compatibility added for timing attributes.
//
// Revision 2.4  2005/07/25 08:49:19  andy_gotz
// replaced the timing attributes for the import device with a spectrum of timing
// stats for a list of commands.
//
// Revision 2.3  2005/07/21 20:12:29  andy_gotz
// added attributes to return timing information for the DbImportDevice command
//
// Revision 2.2  2005/02/11 12:58:49  pascal_verdier
// Is now a TANGO 5 server.
// DbGetDeviceInfo command added.
//
// Revision 2.1  2005/01/10 10:35:26  pascal_verdier
// Updated to Tango 5.
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <DataBase.h>
#include <DataBaseClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace DataBase_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_Timing_average_allowed
// 
// description : 	Read/Write allowed for Timing_average attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_Timing_average_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_Timing_minimum_allowed
// 
// description : 	Read/Write allowed for Timing_minimum attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_Timing_minimum_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_Timing_maximum_allowed
// 
// description : 	Read/Write allowed for Timing_maximum attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_Timing_maximum_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_Timing_calls_allowed
// 
// description : 	Read/Write allowed for Timing_calls attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_Timing_calls_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_Timing_index_allowed
// 
// description : 	Read/Write allowed for Timing_index attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_Timing_index_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_Timing_info_allowed
// 
// description : 	Read/Write allowed for Timing_info attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_Timing_info_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_StoredProcedureRelease_allowed
// 
// description : 	Read/Write allowed for StoredProcedureRelease attribute.
//
//-----------------------------------------------------------------------------
bool DataBase::is_StoredProcedureRelease_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetPropertyList_allowed
// 
// description : 	Execution allowed for DbGetPropertyList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetPropertyList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetProperty_allowed
// 
// description : 	Execution allowed for DbGetProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutProperty_allowed
// 
// description : 	Execution allowed for DbPutProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteProperty_allowed
// 
// description : 	Execution allowed for DbDeleteProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetHostServerList_allowed
// 
// description : 	Execution allowed for DbGetHostServerList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetHostServerList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetHostList_allowed
// 
// description : 	Execution allowed for DbGetHostList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetHostList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetServerList_allowed
// 
// description : 	Execution allowed for DbGetServerList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetServerList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetServerNameList_allowed
// 
// description : 	Execution allowed for DbGetServerNameList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetServerNameList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetInstanceNameList_allowed
// 
// description : 	Execution allowed for DbGetInstanceNameList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetInstanceNameList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassPropertyList_allowed
// 
// description : 	Execution allowed for DbGetClassPropertyList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassPropertyList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDevicePropertyList_allowed
// 
// description : 	Execution allowed for DbGetDevicePropertyList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDevicePropertyList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceAlias_allowed
// 
// description : 	Execution allowed for DbGetDeviceAlias command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceAlias_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceAliasList_allowed
// 
// description : 	Execution allowed for DbGetDeviceAliasList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceAliasList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceMemberList_allowed
// 
// description : 	Execution allowed for DbGetDeviceMemberList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceMemberList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceFamilyList_allowed
// 
// description : 	Execution allowed for DbGetDeviceFamilyList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceFamilyList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceDomainList_allowed
// 
// description : 	Execution allowed for DbGetDeviceDomainList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceDomainList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbInfo_allowed
// 
// description : 	Execution allowed for DbInfo command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbInfo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceList_allowed
// 
// description : 	Execution allowed for DbGetDeviceList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassList_allowed
// 
// description : 	Execution allowed for DbGetClassList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceClassList_allowed
// 
// description : 	Execution allowed for DbGetDeviceClassList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceClassList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceProperty_allowed
// 
// description : 	Execution allowed for DbGetDeviceProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutDeviceProperty_allowed
// 
// description : 	Execution allowed for DbPutDeviceProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutDeviceProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteDeviceProperty_allowed
// 
// description : 	Execution allowed for DbDeleteDeviceProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteDeviceProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceAttributeProperty_allowed
// 
// description : 	Execution allowed for DbGetDeviceAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutDeviceAttributeProperty_allowed
// 
// description : 	Execution allowed for DbPutDeviceAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutDeviceAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassAttributeProperty_allowed
// 
// description : 	Execution allowed for DbGetClassAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutClassAttributeProperty_allowed
// 
// description : 	Execution allowed for DbPutClassAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutClassAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassProperty_allowed
// 
// description : 	Execution allowed for DbGetClassProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutClassProperty_allowed
// 
// description : 	Execution allowed for DbPutClassProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutClassProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteClassProperty_allowed
// 
// description : 	Execution allowed for DbDeleteClassProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteClassProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbExportDevice_allowed
// 
// description : 	Execution allowed for DbExportDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbExportDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbImportDevice_allowed
// 
// description : 	Execution allowed for DbImportDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbImportDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbUnExportDevice_allowed
// 
// description : 	Execution allowed for DbUnExportDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbUnExportDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbUnExportServer_allowed
// 
// description : 	Execution allowed for DbUnExportServer command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbUnExportServer_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbAddServer_allowed
// 
// description : 	Execution allowed for DbAddServer command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbAddServer_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbAddDevice_allowed
// 
// description : 	Execution allowed for DbAddDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbAddDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassAttributeList_allowed
// 
// description : 	Execution allowed for DbGetClassAttributeList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassAttributeList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceAttributeList_allowed
// 
// description : 	Execution allowed for DbGetDeviceAttributeList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceAttributeList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteDevice_allowed
// 
// description : 	Execution allowed for DbDeleteDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteServer_allowed
// 
// description : 	Execution allowed for DbDeleteServer command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteServer_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteDeviceAttribute_allowed
// 
// description : 	Execution allowed for DbDeleteDeviceAttribute command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteDeviceAttribute_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteDeviceAttributeProperty_allowed
// 
// description : 	Execution allowed for DbDeleteDeviceAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteDeviceAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteClassAttribute_allowed
// 
// description : 	Execution allowed for DbDeleteClassAttribute command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteClassAttribute_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteClassAttributeProperty_allowed
// 
// description : 	Execution allowed for DbDeleteClassAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteClassAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetHostServersInfo_allowed
// 
// description : 	Execution allowed for DbGetHostServersInfo command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetHostServersInfo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetServerInfo_allowed
// 
// description : 	Execution allowed for DbGetServerInfo command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetServerInfo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutServerInfo_allowed
// 
// description : 	Execution allowed for DbPutServerInfo command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutServerInfo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteServerInfo_allowed
// 
// description : 	Execution allowed for DbDeleteServerInfo command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteServerInfo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceExportedList_allowed
// 
// description : 	Execution allowed for DbGetDeviceExportedList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceExportedList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceServerClassList_allowed
// 
// description : 	Execution allowed for DbGetDeviceServerClassList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceServerClassList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetObjectList_allowed
// 
// description : 	Execution allowed for DbGetObjectList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetObjectList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetAttributeAliasList_allowed
// 
// description : 	Execution allowed for DbGetAttributeAliasList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetAttributeAliasList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbExportEvent_allowed
// 
// description : 	Execution allowed for DbExportEvent command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbExportEvent_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbImportEvent_allowed
// 
// description : 	Execution allowed for DbImportEvent command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbImportEvent_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbUnExportEvent_allowed
// 
// description : 	Execution allowed for DbUnExportEvent command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbUnExportEvent_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutDeviceAlias_allowed
// 
// description : 	Execution allowed for DbPutDeviceAlias command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutDeviceAlias_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutAttributeAlias_allowed
// 
// description : 	Execution allowed for DbPutAttributeAlias command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutAttributeAlias_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetAttributeAlias_allowed
// 
// description : 	Execution allowed for DbGetAttributeAlias command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetAttributeAlias_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetAliasDevice_allowed
// 
// description : 	Execution allowed for DbGetAliasDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetAliasDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteDeviceAlias_allowed
// 
// description : 	Execution allowed for DbDeleteDeviceAlias command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteDeviceAlias_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteAttributeAlias_allowed
// 
// description : 	Execution allowed for DbDeleteAttributeAlias command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteAttributeAlias_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetExportdDeviceListForClass_allowed
// 
// description : 	Execution allowed for DbGetExportdDeviceListForClass command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetExportdDeviceListForClass_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutDeviceAttributeProperty2_allowed
// 
// description : 	Execution allowed for DbPutDeviceAttributeProperty2 command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutDeviceAttributeProperty2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceAttributeProperty2_allowed
// 
// description : 	Execution allowed for DbGetDeviceAttributeProperty2 command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceAttributeProperty2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbPutClassAttributeProperty2_allowed
// 
// description : 	Execution allowed for DbPutClassAttributeProperty2 command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbPutClassAttributeProperty2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassAttributeProperty2_allowed
// 
// description : 	Execution allowed for DbGetClassAttributeProperty2 command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassAttributeProperty2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceInfo_allowed
// 
// description : 	Execution allowed for DbGetDeviceInfo command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceInfo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_ResetTimingValues_allowed
// 
// description : 	Execution allowed for ResetTimingValues command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_ResetTimingValues_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDevicePropertyHist_allowed
// 
// description : 	Execution allowed for DbGetDevicePropertyHist command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDevicePropertyHist_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceAttributePropertyHist_allowed
// 
// description : 	Execution allowed for DbGetDeviceAttributePropertyHist command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceAttributePropertyHist_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassAttributePropertyHist_allowed
// 
// description : 	Execution allowed for DbGetClassAttributePropertyHist command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassAttributePropertyHist_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassPropertyHist_allowed
// 
// description : 	Execution allowed for DbGetClassPropertyHist command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassPropertyHist_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetPropertyHist_allowed
// 
// description : 	Execution allowed for DbGetPropertyHist command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetPropertyHist_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassForDevice_allowed
// 
// description : 	Execution allowed for DbGetClassForDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassForDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetClassInheritanceForDevice_allowed
// 
// description : 	Execution allowed for DbGetClassInheritanceForDevice command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetClassInheritanceForDevice_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDataForServerCache_allowed
// 
// description : 	Execution allowed for DbGetDataForServerCache command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDataForServerCache_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbDeleteAllDeviceAttributeProperty_allowed
// 
// description : 	Execution allowed for DbDeleteAllDeviceAttributeProperty command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbDeleteAllDeviceAttributeProperty_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbGetDeviceWideList_allowed
// 
// description : 	Execution allowed for DbGetDeviceWideList command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbGetDeviceWideList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		DataBase::is_DbMySqlSelect_allowed
// 
// description : 	Execution allowed for DbMySqlSelect command.
//
//-----------------------------------------------------------------------------
bool DataBase::is_DbMySqlSelect_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace DataBase
