static const char *RcsId = "$Header: /cvsroot/tango-cs/tango/cppserver/TangoAccessControl/TangoAccessControlStateMachine.cpp,v 1.3 2010/09/21 11:33:29 taurel Exp $";
//+=============================================================================
//
// file :         TangoAccessControlStateMachine.cpp
//
// description :  C++ source for the TangoAccessControl and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: taurel $
//
// Copyright (C) :      2004,2005,2006,2007,2008,2009,2010
//						European Synchrotron Radiation Facility
//                      BP 220, Grenoble 38043
//                      FRANCE
//
// This file is part of Tango.
//
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
//
// $Revision: 1.3 $
//
// $Log: TangoAccessControlStateMachine.cpp,v $
// Revision 1.3  2010/09/21 11:33:29  taurel
// - Added GPL info
//
// Revision 1.2  2008/10/08 09:28:22  pascal_verdier
// GetAllowedCommandClassList command added.
//
// Revision 1.1.1.1  2006/09/15 11:55:43  pascal_verdier
// Initial Revision
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <TangoAccessControl.h>
#include <TangoAccessControlClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace TangoAccessControl_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================


//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_AddAddressForUser_allowed
// 
// description : 	Execution allowed for AddAddressForUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_AddAddressForUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_AddDeviceForUser_allowed
// 
// description : 	Execution allowed for AddDeviceForUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_AddDeviceForUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_CloneUser_allowed
// 
// description : 	Execution allowed for CloneUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_CloneUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetAccess_allowed
// 
// description : 	Execution allowed for GetAccess command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetAccess_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetAddressByUser_allowed
// 
// description : 	Execution allowed for GetAddressByUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetAddressByUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetAllowedCommands_allowed
// 
// description : 	Execution allowed for GetAllowedCommands command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetAllowedCommands_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetDeviceByUser_allowed
// 
// description : 	Execution allowed for GetDeviceByUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetDeviceByUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetDeviceClass_allowed
// 
// description : 	Execution allowed for GetDeviceClass command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetDeviceClass_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetUsers_allowed
// 
// description : 	Execution allowed for GetUsers command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetUsers_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_RemoveAddressForUser_allowed
// 
// description : 	Execution allowed for RemoveAddressForUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_RemoveAddressForUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_RemoveDeviceForUser_allowed
// 
// description : 	Execution allowed for RemoveDeviceForUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_RemoveDeviceForUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_RemoveUser_allowed
// 
// description : 	Execution allowed for RemoveUser command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_RemoveUser_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_RegisterService_allowed
// 
// description : 	Execution allowed for RegisterService command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_RegisterService_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_UnregisterService_allowed
// 
// description : 	Execution allowed for UnregisterService command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_UnregisterService_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		TangoAccessControl::is_GetAllowedCommandClassList_allowed
// 
// description : 	Execution allowed for GetAllowedCommandClassList command.
//
//-----------------------------------------------------------------------------
bool TangoAccessControl::is_GetAllowedCommandClassList_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace TangoAccessControl_ns
